# TdApi.ChatStatisticsSupergroup (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: ChatStatisticsSupergroup

Package it.tdlight.jni

# Class TdApi.ChatStatisticsSupergroup

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatStatistics
it.tdlight.jni.TdApi.ChatStatisticsSupergroup

Enclosing class:
  TdApi

    public static class TdApi.ChatStatisticsSupergroup
    extends TdApi.ChatStatistics

A detailed statistics about a supergroup chat.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`TdApi.StatisticalGraph` | `actionGraph` | A graph containing number of different actions in the chat.
`static int` | `CONSTRUCTOR` |
`TdApi.StatisticalGraph` | `dayGraph` | A graph containing distribution of message views per hour.
`TdApi.StatisticalGraph` | `joinBySourceGraph` | A graph containing number of new member joins per source.
`TdApi.StatisticalGraph` | `joinGraph` | A graph containing number of members joined and left the chat.
`TdApi.StatisticalGraph` | `languageGraph` | A graph containing distribution of active users per language.
`TdApi.StatisticalValue` | `memberCount` | Number of members in the chat.
`TdApi.StatisticalGraph` | `memberCountGraph` | A graph containing number of members in the chat.
`TdApi.StatisticalGraph` | `messageContentGraph` | A graph containing distribution of sent messages by content type.
`TdApi.StatisticalValue` | `messageCount` | Number of messages sent to the chat.
`TdApi.DateRange` | `period` | A period to which the statistics applies.
`TdApi.StatisticalValue` | `senderCount` | Number of users who sent messages to the chat.
`TdApi.ChatStatisticsAdministratorActionsInfo[]` | `topAdministrators` | List of most active administrators in the last week.
`TdApi.ChatStatisticsInviterInfo[]` | `topInviters` | List of most active inviters of new members in the last week.
`TdApi.ChatStatisticsMessageSenderInfo[]` | `topSenders` | List of users sent most messages in the last week.
`TdApi.StatisticalValue` | `viewerCount` | Number of users who viewed messages in the chat.
`TdApi.StatisticalGraph` | `weekGraph` | A graph containing distribution of message views per day of week.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ChatStatisticsSupergroup()` | A detailed statistics about a supergroup chat.

`ChatStatisticsSupergroup​(TdApi.DateRange period, TdApi.StatisticalValue memberCount, TdApi.StatisticalValue messageCount, TdApi.StatisticalValue viewerCount, TdApi.StatisticalValue senderCount, TdApi.StatisticalGraph memberCountGraph, TdApi.StatisticalGraph joinGraph, TdApi.StatisticalGraph joinBySourceGraph, TdApi.StatisticalGraph languageGraph, TdApi.StatisticalGraph messageContentGraph, TdApi.StatisticalGraph actionGraph, TdApi.StatisticalGraph dayGraph, TdApi.StatisticalGraph weekGraph, TdApi.ChatStatisticsMessageSenderInfo[] topSenders, TdApi.ChatStatisticsAdministratorActionsInfo[] topAdministrators, TdApi.ChatStatisticsInviterInfo[] topInviters)`

A detailed statistics about a supergroup chat.

`ChatStatisticsSupergroup​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### period

public TdApi.DateRange period
A period to which the statistics applies.

### memberCount

public TdApi.StatisticalValue memberCount
Number of members in the chat.

### messageCount

public TdApi.StatisticalValue messageCount
Number of messages sent to the chat.

### viewerCount

public TdApi.StatisticalValue viewerCount
Number of users who viewed messages in the chat.

### senderCount

public TdApi.StatisticalValue senderCount
Number of users who sent messages to the chat.

### memberCountGraph

public TdApi.StatisticalGraph memberCountGraph
A graph containing number of members in the chat.

### joinGraph

public TdApi.StatisticalGraph joinGraph
A graph containing number of members joined and left the chat.

### joinBySourceGraph

public TdApi.StatisticalGraph joinBySourceGraph
A graph containing number of new member joins per source.

### languageGraph

public TdApi.StatisticalGraph languageGraph
A graph containing distribution of active users per language.

### messageContentGraph

public TdApi.StatisticalGraph messageContentGraph
A graph containing distribution of sent messages by content type.

### actionGraph

public TdApi.StatisticalGraph actionGraph
A graph containing number of different actions in the chat.

### dayGraph

public TdApi.StatisticalGraph dayGraph
A graph containing distribution of message views per hour.

### weekGraph

public TdApi.StatisticalGraph weekGraph
A graph containing distribution of message views per day of week.

### topSenders

public TdApi.ChatStatisticsMessageSenderInfo[] topSenders
List of users sent most messages in the last week.

### topAdministrators

public TdApi.ChatStatisticsAdministratorActionsInfo[] topAdministrators
List of most active administrators in the last week.

### topInviters

public TdApi.ChatStatisticsInviterInfo[] topInviters
List of most active inviters of new members in the last week.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### ChatStatisticsSupergroup

public ChatStatisticsSupergroup()
A detailed statistics about a supergroup chat.

### ChatStatisticsSupergroup

public ChatStatisticsSupergroup​(TdApi.DateRange period, TdApi.StatisticalValue memberCount, TdApi.StatisticalValue messageCount, TdApi.StatisticalValue viewerCount, TdApi.StatisticalValue senderCount, TdApi.StatisticalGraph memberCountGraph, TdApi.StatisticalGraph joinGraph, TdApi.StatisticalGraph joinBySourceGraph, TdApi.StatisticalGraph languageGraph, TdApi.StatisticalGraph messageContentGraph, TdApi.StatisticalGraph actionGraph, TdApi.StatisticalGraph dayGraph, TdApi.StatisticalGraph weekGraph, TdApi.ChatStatisticsMessageSenderInfo[] topSenders, TdApi.ChatStatisticsAdministratorActionsInfo[] topAdministrators, TdApi.ChatStatisticsInviterInfo[] topInviters)
A detailed statistics about a supergroup chat.

Parameters:
  `period` - DateRange A period to which the statistics applies.
  `memberCount` - StatisticalValue Number of members in the chat.
  `messageCount` - StatisticalValue Number of messages sent to the chat.
  `viewerCount` - StatisticalValue Number of users who viewed messages in the chat.
  `senderCount` - StatisticalValue Number of users who sent messages to the chat.
  `memberCountGraph` - StatisticalGraph A graph containing number of members in the chat.
  `joinGraph` - StatisticalGraph A graph containing number of members joined and left the chat.
  `joinBySourceGraph` - StatisticalGraph A graph containing number of new member joins per source.
  `languageGraph` - StatisticalGraph A graph containing distribution of active users per language.
  `messageContentGraph` - StatisticalGraph A graph containing distribution of sent messages by content type.
  `actionGraph` - StatisticalGraph A graph containing number of different actions in the chat.
  `dayGraph` - StatisticalGraph A graph containing distribution of message views per hour.
  `weekGraph` - StatisticalGraph A graph containing distribution of message views per day of week.
  `topSenders` - ChatStatisticsMessageSenderInfo[] List of users sent most messages in the last week.
  `topAdministrators` - ChatStatisticsAdministratorActionsInfo[] List of most active administrators in the last week.
  `topInviters` - ChatStatisticsInviterInfo[] List of most active inviters of new members in the last week.

### ChatStatisticsSupergroup

public ChatStatisticsSupergroup​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`